Index: app_voicemail2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_voicemail2.c,v
retrieving revision 1.58
diff -u -r1.58 app_voicemail2.c
--- app_voicemail2.c	22 Oct 2003 03:12:17 -0000	1.58
+++ app_voicemail2.c	30 Oct 2003 22:07:43 -0000
@@ -2221,9 +2221,14 @@
 		if (!res) {
 			vms->repeats++;
 			if (vms->repeats > 2) {
+				/* The "out" block of vm_execmain tells them goodbye
+				   we will just set res and go about our business...
+				   
 				res = play_and_wait(chan, "vm-goodbye");
 				if (!res)
-					res = 't';
+				
+				*/
+				res = 't';
 			}
 		}
 	}
@@ -2429,10 +2434,15 @@
 		logretries++;
 	}
 	if (!valid && (logretries >= maxlogins)) {
+		/* The "out" block of vm_execmain tells them goodbye
+		and stops the stream.  we will just set res...
+                                                                   
 		ast_stopstream(chan);
 		res = play_and_wait(chan, "vm-goodbye");
 		if (res > 0)
-			res = 0;
+		
+		*/
+		res = 0;
 	}
 
 	if (valid) {
